goog.require 'app.document.Paragraph'
# note: created in isolation, because its only abstract class
create = (opts={}) ->
  opts.type ?= 'paragraph'
  return new app.document.Block opts

suite 'app.document.Block', ->
  test 'ok', -> assert.ok 'ok'

  test 'accepts attributes as first param', ->
    assert.equal create({title: 'title set via init'}).title, 'title set via init'

  suite 'init values', ->
    setup -> @block = create()

    test 'has id', -> assert.ok @block._id
    # so-so test
    test 'id is unique X char string', -> assert.ok @block._id.length >= 8
    test 'has title', -> assert.equal @block.title, ''
    test 'hash comment', -> assert.equal @block.comment, ''
    test 'has author note', -> assert.equal @block.authorNote, ''

  suite 'paragraph', ->
    test 'is always paragraph', ->
      p = new app.document.Paragraph {type: app.BlockType.List}
      assert.equal p.type, app.BlockType.Paragraph