goog.require 'app.BlockType'
goog.require 'tests.Factory'

suite 'app.document.Document', ->

  createWithOpts = tests.Factory.Document.createWithOpts

  suite 'construction', ->
    setup -> @doc = createWithOpts()

    test 'has author', -> assert.equal @doc.author, ''

    test 'rest inherits from Block', ->
      assert.instanceOf @doc, app.document.Block

    test 'sets type of block to document', ->
      assert.equal @doc.type, app.BlockType.Document

